/*******************************************************************************
 *	BComms.h	BComms class
 *	T.Barnaby,	Beam Ltd,	2012-11-12
 *	Copyright (c) 2012 All Right Reserved, Beam Ltd, http://www.beam.ltd.uk
 *******************************************************************************
 */
#ifndef BComms_h
#define BComms_h

#include <BTypes.h>
#include <BError.h>

class BComms;

typedef void (*BCommsCallback)(BComms& comms);

class BComms {
public:
				BComms();
//				BComms(BCommsCallback callback = 0);
	virtual 		~BComms();

	virtual BUInt		recvAvailable() = 0;
	virtual BError		recvWait(BUInt32 num, BUInt32 timeout = 0) = 0;
	virtual BError		recv(void* data, BUInt32 num) = 0;
	virtual BError		send(void* data, BUInt32 num) = 0;
private:
//	BCommsCallback		ocallback;
};
#endif
